Skip navigation
Currently Being Moderated

Flex 4.5 upgrade issue

Dec 15, 2011 11:05 PM

Hi All,

 

I have come into the following RTE when I upgrade my application from 3.5 to 4.5. Any clue about this issue?

ArgumentError: Error #2004: One of the parameters is invalid.

    at flash.display::Graphics/drawRect()

    at mx.controls::VRule/updateDisplayList()[E:\dev\4.5.1\frameworks\projec ts\mx\src\mx\controls\VRule.as:256]

    at mx.core::UIComponent/validateDisplayList()[E:\dev\4.5.1\frameworks\pr ojects\framework\src\mx\core\UIComponent.as:8989]

    at mx.managers::LayoutManager/validateDisplayList()[E:\dev\4.5.1\framewo rks\projects\framework\src\mx\managers\LayoutManager.as:736]

    at mx.managers::LayoutManager/doPhasedInstantiation()[E:\dev\4.5.1\frame works\projects\framework\src\mx\managers\LayoutManager.as:801]

    at mx.managers::LayoutManager/doPhasedInstantiationCallback()[E:\dev\4.5 .1\frameworks\projects\framework\src\mx\managers\LayoutManager.as:1180 ]

 

I debugged and found that the unscaledHeight in updateDisplayList of VRule is NaN, anyone knows the reason? Thanks.

 
Replies

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points